%global forgeurl https://github.com/mozilla/mozilla-django-oidc

Name:            python-mozilla-django-oidc
Version:         3.0.0
%global tag      %{version}
%forgemeta
Release:         %autorelease
Summary:         Django integration with OpenID Connect

License:         MPL-2.0
URL:             %{forgeurl}
Source0:         %{forgesource}
# mock -> unittest.mock
# https://github.com/mozilla/mozilla-django-oidc/pull/490
Patch0:          deprecated-python-unit.patch
BuildArch:       noarch

BuildRequires:   python3-devel
# Required for tests
BuildRequires:   python3-django-rest-framework


%global _description %{expand:
A lightweight authentication and access management library for
integration with OpenID Connect enabled authentication services}

%description %_description


%package -n python3-mozilla-django-oidc
Summary:         %{summary}

%description -n python3-mozilla-django-oidc %_description

%package -n python3-mozilla-django-oidc-doc
Summary:         %{summary}
Requires:        python3-mozilla-django-oidc = %{version}-%{release}
BuildRequires:   python3-sphinx
BuildRequires:   make

%description -n python3-mozilla-django-oidc-doc %_description


%prep
%forgesetup
%patch -P 0 -p1

%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel

pushd docs
make html
rm _build/html/.buildinfo
mv _build/html ../.
popd

%install
%pyproject_install

%pyproject_save_files mozilla_django_oidc


%check
%tox


%files -n python3-mozilla-django-oidc -f %{pyproject_files}
%doc README.rst
%license LICENSE

%files -n python3-mozilla-django-oidc-doc
%doc html

%changelog
%autochangelog
